#ifndef _CTMU_H
#define _CTMU_H

#include "system.h"

#define DIODE_NUM_AVG       0x100   //   CTMU-

#define CAP_NUM_AVG         20      //   
#define TRIPVAL             100     //     
#define HYSTVAL             3       //  
#define NUM_CTMU_CH         3       //  

//      . 
// 2    
//     ,  
//   2      JP5
#define CT2_IGNORE          
#define TIMER1_PERIOD       32768/512   
                                        

void InitCapSense(void);
void CapSenseTickInit(void);
void ReadCTMU(int index);
void UpdateCTMU(int index);
void GetDiodeTemp(int Index);

#endif
