#ifndef _RTCC_H
#define _RTCC_H

#include "system.h"

#define EnableSOSC()    __builtin_write_OSCCONL(0x02) //   32
#define SetRTCWREN()    __builtin_write_RTCWEN()      //   RTCC



//  RTCC  
typedef union
{
    struct
    {
        unsigned char year;       
        unsigned char rsvd;       
        unsigned char mday;       
        unsigned char mon;        
        unsigned char hour;       
        unsigned char wday;       
        unsigned char sec;        
        unsigned char min;        
    }byte;                        
    unsigned char b[8];           
    unsigned int  w[4];           
    unsigned long int l[2];       
}RTCCFORM;

extern RTCCFORM rtcc;

void InitRTCC(void);
void SetRTCCAlarm(BYTE mask);
void UpdateRTCC(void);
void ReadRTCC(void);
void InitCalendar(void);
void GetRTCC(RTCCFORM* rtccVal);

#endif
